Skip to main content
DELETE
/
trust-centers
/
{slugId}
/
controls
/
tags
Bulk remove tags from Trust Center controls
curl --request DELETE \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/controls/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "controlIds": [
    "<string>"
  ],
  "tagCategory": "<string>",
  "tags": [
    "<string>"
  ]
}
'
{
  "results": [
    {
      "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
      "name": "Control name",
      "description": "Control description",
      "categories": [
        {
          "id": "93d69894dd525f806d7e5c48",
          "name": "Category name"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Body

application/json
controlIds
string[]
required

IDs of the controls to tag. Maximum 100.

tagCategory
string
required

ID of the tag category.

tags
string[]
required

IDs of the tags to add or remove.

Response

200 - application/json

Ok

results
object[]
required